Bug 178901 - Review Request: gtksourceview-sharp
Review Request: gtksourceview-sharp
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 178904
  Show dependency treegraph
 
Reported: 2006-01-25 06:09 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-23 09:38:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Mock Build Failure Log (6.23 KB, text/plain)
2006-05-08 10:10 EDT, Brian Pepple
no flags Details

  None (edit)
Description Paul F. Johnson 2006-01-25 06:09:39 EST
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp-2.0-2.src.rpm
Description: gtksourceview-sharp is a C sharp binder for gtksourceview
Comment 1 Rowan Kerr 2006-02-03 18:29:58 EST
/usr/bin/mcs /unsafe /target:library /pkg:gnome-sharp-2.0 \
generated/*.cs ./GtkSourceView.cs AssemblyInfo.cs -out:gtksourceview-sharp.dll
error CS2001: Source file `generated/*.cs' could not be found
Compilation failed: 1 error(s), 0 warnings
make[1]: *** [gtksourceview-sharp.dll] Error 1
Comment 2 Paul F. Johnson 2006-02-03 19:13:25 EST
Which version of gtksourceview and gtksourceview-devel have you got installed?
Comment 3 Paul F. Johnson 2006-02-03 19:14:23 EST
And more over, which versions of gtksharp2 and mono-core
Comment 4 Paul F. Johnson 2006-02-03 20:41:03 EST
This problem may be related to #179958
Comment 5 Rowan Kerr 2006-02-06 09:10:51 EST
gtksourceview-1.5.7-1
gtksourceview-devel-1.5.7-1
mono-core-1.1.13.2-1
gtksharp2 not installed

Haven't updated to latest Rawhide yet (still on the Feb 03 version) but probably
will today.
Comment 6 Paul F. Johnson 2006-02-13 10:25:21 EST
It looks like mcs is still borked. I thought that it was down to a kernel 
problem with lookups for files, but it's not.

Hopefully, today's rebuild fixes these problems. It could just be a gcc 
problem when mono/mcs was built.
Comment 7 Paul F. Johnson 2006-02-13 10:27:38 EST
#1 - the problem is that when it begins to compile, mcs looks 
for /usr/lib/pkgconfig/../../share/gapi-2.0/gnome-api.xml and doesn't find it. 
I don't understand why that should be the case as it does exist!
Comment 8 Christopher Aillon 2006-03-15 20:34:33 EST
Claiming for review.
Comment 9 Paul F. Johnson 2006-03-27 17:28:58 EST
Updated spec

Spec Name or Url: http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp.spec

Only change is that I'd forgotten to include the docs!
Comment 10 Angel Marin 2006-04-03 16:04:08 EDT
#7 if gtk-sharp2-gapi is installed that error disappears (missing dep?).
Comment 11 Paul F. Johnson 2006-04-03 16:15:58 EDT
Nope. It was down to the version of mono I was compiling with was bawked. It
seems to build happily, though I am going to do some more tests tonight.
Comment 12 Paul F. Johnson 2006-04-03 17:40:49 EDT
Updated spec

Spec Name or Url: http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp.spec

Added additional buildreq (gtk-sharp2-gapi) and a couple of requires. Builds
fine on an x86_64 and i386 box.
Comment 13 Paul F. Johnson 2006-04-15 20:20:45 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp.spec
SRPM Name or Url:
http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp-2.0-3.src.rpm

Additional buildreq
Comment 14 Paul F. Johnson 2006-04-18 18:08:26 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp.spec
SRPM Name or Url:
http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp-2.0-4.src.rpm

libdir now set to /usr/lib irrespective of hardware built on
spec file fixes

Comment 15 John Mahowald 2006-04-22 15:22:56 EDT
Not building on x86_64, missing some assembly:

/usr/bin/gapi2-fixup: line 3: which: command not found
cannot open assembly ./../lib/gtk-sharp-2.0/gapi-fixup.exe
make[1]: *** [gtksourceview-api.xml] Error 2
Comment 16 Paul F. Johnson 2006-04-22 15:33:01 EDT
There are all sorts of problems with Mono, /usr/lib and /usr/lib64. Building
under x86_64 is broken because of another bug in the glibc-kernheaders as well
(reported, but I've not seen a fix for it).

You'll probably find gapi-fixup in /usr/lib64/gtk-sharp-2.0
Comment 17 Paul F. Johnson 2006-04-27 17:04:16 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp.spec
SRPM Name or Url:
http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp-2.0-6.src.rpm

Quite a lot of fixes from the 0-4 release. I am still having the same x86_64
problems as before, but I have the i386 version running here and at work (work
is x86_64) without a problem.

This version has both boo and java support built in.
Comment 18 Paul F. Johnson 2006-04-27 17:05:20 EDT
Oh poo! Just realised that boo and java support are for monodevelop and not
gtksourceview-sharp. I bad ;-p
Comment 19 Brian Pepple 2006-05-08 10:10:54 EDT
Created attachment 128745 [details]
Mock Build Failure Log

gtksourceview-sharp currently fails in Mock.  I've attached the build log, and
if I've got some extra free time later today, I'll look to see what's causing
the problem.
Comment 20 John Mahowald 2006-05-23 20:33:22 EDT
/usr/bin/gapi2-fixup: line 3: which: command not found

Build groups changed recently, I believe. It works for me with
"config_opts['buildgroup'] = 'build-minimal build-base build'" in the mock config.

Well, it does but once I force %_libdir to point to /usr/lib on x86_64.

http://fedorared.org/~john/review/gtksourceview-sharp-2.0-7.src.rpm
Comment 21 Paul F. Johnson 2006-06-01 04:18:19 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp.spec

Changes:

Fix for x86-64
Now has a devel packages
Comment 22 Paul F. Johnson 2006-06-01 04:59:10 EDT
SRPM Name or Url:
http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp-2.0-8.src.rpm
Comment 23 Paul F. Johnson 2006-06-03 09:37:13 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp.spec
SRPM Name or Url:
http://www.smmp.salford.ac.uk/packages/gtksourceview-sharp-2.0-9.src.rpm

Changed do the libdir bits are explicit rather than just make everything mine

Now please, someone, review it and let's get going on it!
Comment 24 Paul F. Johnson 2006-06-04 09:29:33 EDT
Spec Name or Url: http://www.knox.net.nz/~nodoid/gtksourceview-sharp.spec
SRPM Name or Url:
http://www.knox.net.nz/~nodoid/gtksourceview-sharp-2.0-9.src.rpm

Change of URL
Comment 25 Paul F. Johnson 2006-06-05 17:45:22 EDT
Spec Name or Url: http://www.knox.net.nz/~nodoid/gtksourceview-sharp.spec
SRPM Name or Url:
http://www.knox.net.nz/~nodoid/gtksourceview-sharp-2.0-10.src.rpm

Fix for devel file
Comment 26 Paul F. Johnson 2006-06-14 18:55:49 EDT
Spec Name or Url: http://www.knox.net.nz/~nodoid/gtksourceview-sharp.spec
SRPM Name or Url:
http://www.knox.net.nz/~nodoid/gtksourceview-sharp-2.0-11.src.rpm

- Added BR pkgconfig
- Now BuildArch: noarch
- altered configure to target something
- removed libdir hack
Comment 27 David Nielsen 2006-07-04 17:13:21 EDT
For this to compile on a machine that has /usr/lib64 set as _libdir you need to add:

%define _libdir %{_exec_prefix}/lib
Comment 28 Paul F. Johnson 2006-07-04 17:28:37 EDT
I know. The problem is that things now need to comply with the mono packaging
guidelines which I'm having all hells job with trying to get things to work on
all platforms with.

If you're after the actual packages,
http://www.all-the-johnsons.co.uk/mono/rpms.html have the lot as binaries and I
know they're fairly happy as well!
Comment 29 John Mahowald 2006-07-08 21:30:36 EDT
Patching configure.in and Makefile.am to use %(libdir) works with lib64.

http://fedorared.org/~john/review/gtksourceview-sharp-2.0-12.src.rpm
Comment 30 Paul F. Johnson 2006-07-09 07:27:01 EDT
Spec Name or Url: http://www.knox.net.nz/~nodoid/gtksourceview-sharp.spec
SRPM Name or Url:
http://www.knox.net.nz/~nodoid/gtksourceview-sharp-2.0-12.src.rpm

Very minor change to John's version...
Comment 31 John Mahowald 2006-07-19 22:56:00 EDT
That patch to autoconf and automake should go upstream if %(libdir) is the
accepted place to drop this.

- rpmlint checks return:
W: gtksourceview-sharp strange-permission gtksourceview-sharp-libdir.patch 0666
W: gtksourceview-sharp strange-permission gtksourceview-sharp.spec 0666
Ignorable, I'm not scared of 666.

W: gtksourceview-sharp incoherent-version-in-changelog 2.0-0.10-12 2.0-12.fc6
Confusion due to the 2.0-0.10 naming in the tarball. Should be fine as long as
the release is always bumped if that extra version number is updated, to say
2.0-0.11.

E: gtksourceview-sharp no-binary
E: gtksourceview-sharp only-non-binary-in-usr-lib
Expected for mono.

W: gtksourceview-sharp-devel no-documentation
Fine.


- package meets naming guidelines
Just watch out for that version.
- package meets packaging guidelines
BLOCKER - license is wrong, is LGPL.
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR (hopefully autoconf and automake will go away sometime)
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

For mono specific stuff the build does call gacutil like the guidelines say.
Comment 32 Paul F. Johnson 2006-07-20 17:25:31 EDT
Spec Name or Url: http://www.knox.net.nz/~nodoid/gtksourceview-sharp.spec
SRPM Name or Url:
http://www.knox.net.nz/~nodoid/gtksourceview-sharp-2.0-13.src.rpm

Fixes licence
Comment 33 John Mahowald 2006-07-21 20:03:36 EDT
OK as per comment 31. APPROVED

Note You need to log in before you can comment on or make changes to this bug.